For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add a Group Member

Adds an existing user to the specified group.

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
groupIdstringRequired

The unique ID of the group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 1Optional

Controls the detail depth of the response objects. NOTE: The resource /um and its children support a maximum depth level of 1. It will provide you the entry points to specific user related resources. As these resources are partially servered by other service components, they must be retrieved explicitly. Any depth parameter beyond '?depth=1' will be deprecated by April 30, 2026.

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRequired

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
Responses
202

Successful operation

application/json
post/um/groups/{groupId}/users
POST /cloudapi/v6/um/groups/{groupId}/users HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "user",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "lastLogin": "2015-12-04T14:34:09.809Z"
  },
  "properties": {
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "administrator": true,
    "forceSecAuth": true,
    "secAuthActive": true,
    "s3CanonicalUserId": "text",
    "active": true
  },
  "entities": {
    "owns": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c/owns",
      "type": "collection",
      "href": "https://<API_HOST>/cloudapi/v6/um/users/9b1b4c62-1466-11e7-87d3-d7bb7dac0087/owns"
    },
    "groups": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c/groups",
      "type": "collection",
      "href": "https://<API_HOST>/cloudapi/v6/um/users/9b1b4c62-1466-11e7-87d3-d7bb7dac0087/groups"
    },
    "s3Keys": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c/s3keys",
      "type": "collection",
      "href": "https://<API_HOST>/cloudapi/v6/um/users/9b1b4c62-1466-11e7-87d3-d7bb7dac0087/s3keys"
    }
  }
}

Last updated

Was this helpful?